﻿@model IEnumerable<Sorceleur.Models.Niveau>

@{
    ViewData["Title"] = "Index";
}

<h1>Index</h1>

<p>
    <a asp-action="Create">Create New</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.niveau)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.point)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.monstre)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.niveau)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.point)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.monstre.nom)
                </td>
                <td>
                    <a asp-action="Edit" asp-route-id="@item.Id">Edit</a> |
                    <a asp-action="Details" asp-route-id="@item.Id">Details</a> |
                    <a asp-action="Delete" asp-route-id="@item.Id">Delete</a>
                </td>
            </tr>
        }
    </tbody>
</table>
